### Method

# Gtk TreeView insert_column_with_attributes

deprecated: 4.10

#### Declaration [src]

    int
    gtk_tree_view_insert_column_with_attributes (
      GtkTreeView* tree_view,
      int position,
      const char* title,
      GtkCellRenderer* cell,
      ...
    )

#### Description [src]

Creates a new `GtkTreeViewColumn` and inserts it into the `tree_view` at `position`. If `position` is -1, then the newly created column is inserted at the end. The column is initialized with the attributes given. If `tree_view` has “fixed_height” mode enabled, then the new column will have its sizing property set to be GTK_TREE_VIEW_COLUMN_FIXED.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

This method is not directly available to language bindings.

#### Parameters

`position`

  Type: `int`

  The position to insert the new column in.

`title`

  Type: `const char*`

  The title to set the header to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cell`

  Type: `GtkCellRenderer`

  The `GtkCellRenderer`.

  The data is owned by the caller of the method.

`...`

  Type: ``

  A `NULL`-terminated list of attributes.

#### Return value

Type: `int`

The number of columns in `tree_view` after insertion.